<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_white_radius_16_bg"
    android:paddingHorizontal="16dp"
    android:paddingVertical="12dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_balance_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start"
        android:includeFontPadding="false"
        android:text="@string/wallet_my_balance"
        android:textColor="@color/color_FF4E5969"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!--金币-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_coin"
        android:layout_width="0dp"
        android:layout_height="64dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/common_wallet_coin_bg"
        android:paddingHorizontal="14dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_balance_title">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="34dp"
            android:layout_height="34dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_wallet_coin_64_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_coin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="54dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="22sp"
            app:layout_constraintBottom_toTopOf="@id/tv_coin_unit"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="12k" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_coin_unit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:text="@string/common_coin"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_coin"
            app:layout_constraintTop_toBottomOf="@id/tv_coin" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_top_up_coin"
            android:layout_width="wrap_content"
            android:layout_height="24dp"
            android:paddingHorizontal="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_min="55dp"
            app:text="@string/wallet_go_top_up"
            app:textSize="12sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--钻石-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_diamond"
        android:layout_width="0dp"
        android:layout_height="64dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/common_wallet_diamond_bg"
        android:paddingHorizontal="14dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_coin">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="34dp"
            android:layout_height="34dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_wallet_diamond_64_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_diamond"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="54dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="22sp"
            app:layout_constraintBottom_toTopOf="@id/tv_diamond_unit"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="12k" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_diamond_unit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:text="@string/common_diamond"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_diamond"
            app:layout_constraintTop_toBottomOf="@id/tv_diamond" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_top_up_diamond"
            android:layout_width="wrap_content"
            android:layout_height="24dp"
            android:paddingHorizontal="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_min="55dp"
            app:text="@string/wallet_go_top_up"
            app:textSize="12sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>